[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpClose

Close file descriptor

## Declaration

Source position: bunxh.inc line 83

`function FpClose(`
`fd: cint`
`):cint;`

## Description

FpClose closes a file with file descriptor Fd. The function returns zero if the file was closed successfully, a nonzero return value indicates an error.

For an example, see FpOpen.

## Errors

Extended error information can be retrieved using fpGetErrno.

## See also

FpOpen |  | Open file and return file descriptor
FpRead |  | Read data from file descriptor
FpWrite |  | Write data to file descriptor
FpFTruncate |  | Truncate file on certain size.
FpLSeek |  | Set file pointer position.

Documentation generated on: Feb 26 2014